# git-ea

git-ea is the base command

```
git-ea
├─ backport
├─ branch
├─ frontport
└─ init
```


```
[--help]
[--v]
[--version]
```
**Usage**:

```
git-ea <cmd>
```

**--help**: Show help


**--v**: --version


**--version**: Print git-ea version


-----

## backport

backport cherry-picks a commit and applies it to a clean branch based on `release`


```
[--f]=[value]
[--from]=[value]
[--help]
[--l]
[--list]
[--t]=[value]
[--to]=[value]
```
**Usage**:

```
backport --from [release=main] --to [release=latest]
```

**--f**="": --from


**--from**="": Release to backport from (ex: `main`, default: main)


**--help**: Show help


**--l**: --list


**--list**: Open repository to see needed backports


**--t**="": --to


**--to**="": Release to backport to (ex: `1.17`, default: `latest`)


-----

## branch

branch creates a new branch called `name` based on `base`


```
[--b]=[value]
[--base]=[value]
[--help]
[--nf]
[--no-fetch]
```
**Usage**:

```
branch --base [ref=main] <name>
```

**--b**="": --base (default: `main`)


**--base**="": Ref to base from (default: `main`)


**--help**: Show help


**--nf**: --no-fetch


**--no-fetch**: Skip fetching


-----

## frontport

frontport cherry-picks a commit and applies it to a clean branch based on `release`


```
[--f]=[value]
[--from]=[value]
[--help]
[--t]=[value]
[--to]=[value]
```
**Usage**:

```
frontport --from [release=latest] --to [release=main]
```

**--f**="": --from


**--from**="": Release to frontport from (ex: `1.17`, default: <latest>)


**--help**: Show help


**--t**="": --to


**--to**="": Release to frontport to (ex: `main`, default: `main`)


-----

## init

init initializes a workspace for Gitea


```
[--help]
```
**Usage**:

```
init
```

**--help**: Show help


-----

